Page MenuHomePhabricator

[Site Config] Make new logos available in production in preparation for T246170
Closed, ResolvedPublic3 Estimated Story Points

Description

The $wgLogos configuration should be updated to add "tagline" and update "icon" for production in preparation for T246170.

Sample config:

$wgLogos = [
        'icon' => 'https://di-logo-sandbox.firebaseapp.com/img/globe.png',
        'tagline' => [
                'alt' => 'the free encyclopedia',
                'src' => 'https://di-logo-sandbox.firebaseapp.com/img/tagline/en-tagline-117-13.svg',
                'width' => 117,
                'height' => 13,
        ],
        '1x' => 'https://en.wikipedia.org/static/images/project-logos/enwiki.png',
        'wordmark' => [
                'src' => 'https://en.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-en.svg',
                'width' => 116,
                'height' => 18,
        ],
];

All URLs must be relative.

The wikis we want to update logos for are:

Basque Wikipedia
French Wikipedia
French Wiktionary
Hebrew Wikipedia
Persian Wikipedia
Portuguese Wikiversity
Officewiki

In light of T251135 we will also update the following wordmarks (logos and taglines optional):

wikipedia-wordmark-ps.svg
wikipedia-wordmark-ca.svg
wikipedia-wordmark-szl.svg
wikipedia-wordmark-atj.svg
wikitionary-wordmark-en.svg
wikivoyage-wordmark-en.svg
wikivoyage-wordmark-he.svg
wikipedia-wordmark-bn.svg
wikipedia-wordmark-ur.svg
commons-wordmark-en.svg
wikipedia-wordmark-ru.svg
wikipedia-wordmark-zh-c.svg
wikipedia-wordmark-hi.svg
wikipedia-wordmark-sr.svg
wikipedia-wordmark-ja.svg

Acceptance criteria

For each of the projects above:

  • Check wordmark, 1x, tagline and icon are configured
  • Assets are uploaded that correspond to these entries.

QA steps

  • Visit the impacted wikis and confirm the new logo asset is loaded on the Special:UserLogin page of mobile.
  • QA of icon will happen as part of T246170

Event Timeline

@ovasileva @Jdrewniak @alexhollender we need the assets added to this task before we can work on it :)

what format should we attach them in? A .zip with a folder of wordmarks, and a folder of taglines?

Zip file is fine. Can be linked to or attached. Separating my folder sounds good. Note we need icons as well as taglines and wordmarks and the wordmarks will immediately update the wordmarks used in the header on the mobile site if those change.

re-assigning to myself, will upload SVGs for test wikis. Then will assign to @Jdrewniak to do the rest.

@Jdlrobson this should be all of the files you need for the test wikis: https://drive.google.com/open?id=13v69i6WsHbbl0dhY63DEgkxp6rukoP1X (too large to upload to Phabricator)

A few notes:

  • there is a folder for each project (Wikipedia, Wikiversity, etc.)
  • for each project there is only one logo file (included SVG and PNG versions for all projects aside from Wikipedia, which has to be PNG)
  • for Wikipedia and Wiktionary there are wordmark and tagline files, for other projects there are just wordmark files (these projects don't have taglines)
  • for Wikipedias that use the generic WikipediA wordmark (non-localized), there is no wordmark file. Just use the generic wordmark.svg for those

Reassigning to @Jdrewniak to upload the rest of what we've got so far.

Change 591152 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Update project wordmarks

https://gerrit.wikimedia.org/r/591152

Change 591160 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Add project taglines

https://gerrit.wikimedia.org/r/591160

Change 591152 merged by jenkins-bot:
[operations/mediawiki-config@master] Update project wordmarks and icons

https://gerrit.wikimedia.org/r/591152

Mentioned in SAL (#wikimedia-operations) [2020-04-20T23:27:17Z] <catrope@deploy1001> Synchronized static/images/mobile/: Update project wordmarks and icons (T249047) (duration: 01m 02s)

Mentioned in SAL (#wikimedia-operations) [2020-04-20T23:29:04Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Update project wordmarks and icons (T249047) (duration: 01m 01s)

The logos are now up for all target wikis. Deploying the taglines is ready (https://gerrit.wikimedia.org/r/591160) but blocked on the logo/header work in T246170 being merged so we can actually test it. However now when that task completes we'll be able to see them in fully glory on beta cluster!

Change 591160 merged by jenkins-bot:
[operations/mediawiki-config@master] Add project taglines

https://gerrit.wikimedia.org/r/591160

Mentioned in SAL (#wikimedia-operations) [2020-04-30T23:14:48Z] <urbanecm@deploy1001> Synchronized static/images/project-logos/: SWAT: 9065650: Add project taglines (T249047) (duration: 01m 05s)

Mentioned in SAL (#wikimedia-operations) [2020-04-30T23:17:14Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/: SWAT: 9065650: Add project taglines (T249047) (duration: 01m 04s)

Mentioned in SAL (#wikimedia-operations) [2020-04-30T23:19:23Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 9065650: Add project taglines (T249047) (duration: 01m 04s)

Mentioned in SAL (#wikimedia-operations) [2020-04-30T23:21:09Z] <urbanecm@deploy1001> Synchronized wmf-config/CommonSettings.php: SWAT: 9065650: Add project taglines (T249047) (duration: 01m 04s)

These should all be live but we'll need to wait till the changes are in production to test fully.

Change 595009 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Update project icons to refreshed SVGs

https://gerrit.wikimedia.org/r/595009

Change 595009 merged by jenkins-bot:
[operations/mediawiki-config@master] Update project icons to refreshed SVGs

https://gerrit.wikimedia.org/r/595009

Mentioned in SAL (#wikimedia-operations) [2020-05-07T18:13:25Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/: SWAT: 899c175: Update project icons to refreshed SVGs (T249047; part 1/2) (duration: 01m 08s)

Mentioned in SAL (#wikimedia-operations) [2020-05-07T18:14:57Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 899c175: Update project icons to refreshed SVGs (T249047; part 2/2) (duration: 01m 06s)

Looking great!

BasqueFarsiFrenchFrench Wiktionary
basque.png (366×618 px, 98 KB)
farsi.png (288×626 px, 61 KB)
french.png (309×545 px, 78 KB)
fr wiktionary.png (317×581 px, 63 KB)
linklinklinklink
HebrewOffice WIkiPortuguese Wikiversity
hebrew.png (319×652 px, 61 KB)
office.png (335×561 px, 63 KB)
pt wikiversity.png (339×527 px, 50 KB)
linklinklink

At some point when we add other project logos I will increase the size of the Wikiversity wordmark,

ovasileva claimed this task.

All done and looking great. Thanks all!